package com.mosty.wzzx.service;

import com.mosty.base.model.entity.wzzx.TbWzXfwz;
import com.mosty.base.model.dto.wzzx.AppLocationReceiveDto;
import com.mosty.base.model.query.wzzx.TbWzLswzSearchDto;
import com.mosty.base.model.query.wzzx.TbWzSbLswzSearchDto;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * 位置-巡防位置表(TbWzXfwz)表服务接口
 */
public interface TbWzXfwzService {

    @ApiOperation("查询所有数据")
    List<TbWzXfwz> queryAll();

    @ApiOperation("通过ID查询单条数据")
    TbWzXfwz queryById(String id);

    @ApiOperation("新增数据")
    TbWzXfwz insert(TbWzXfwz tbWzXfwz);

    @ApiOperation("修改数据")
    TbWzXfwz update(TbWzXfwz tbWzXfwz);

    @ApiOperation("通过主键删除数据")
    boolean deleteById(String id);

    @ApiOperation("大屏-地图-轨迹回放")
    Object selectTrack(TbWzXfwz tbWzXfwz);

    @ApiOperation("历史位置轨迹回放")
    Object selectLswz(TbWzLswzSearchDto dto);

    @ApiOperation("位置接收")
    Boolean locationReceive(AppLocationReceiveDto receiveDto);

    @ApiOperation("设备历史位置轨迹回放")
    Object selectSbLswz(TbWzSbLswzSearchDto dto);

}

